"Fossies" - the Fresh Open Source Software Archive

Member "libextractor-1.11/src/main/Makefile.in" (30 Jan 2021, 74655 Bytes) of package /linux/privat/libextractor-1.11.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 1.10_vs_1.11.

A hint: This file contains one or more very long lines, so maybe it is better readable using the pure text view mode that shows the contents as wrapped lines within the browser window.


    1 # Makefile.in generated by automake 1.16.3 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2020 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 
   18 VPATH = @srcdir@
   19 am__is_gnu_make = { \
   20   if test -z '$(MAKELEVEL)'; then \
   21     false; \
   22   elif test -n '$(MAKE_HOST)'; then \
   23     true; \
   24   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   25     true; \
   26   else \
   27     false; \
   28   fi; \
   29 }
   30 am__make_running_with_option = \
   31   case $${target_option-} in \
   32       ?) ;; \
   33       *) echo "am__make_running_with_option: internal error: invalid" \
   34               "target option '$${target_option-}' specified" >&2; \
   35          exit 1;; \
   36   esac; \
   37   has_opt=no; \
   38   sane_makeflags=$$MAKEFLAGS; \
   39   if $(am__is_gnu_make); then \
   40     sane_makeflags=$$MFLAGS; \
   41   else \
   42     case $$MAKEFLAGS in \
   43       *\\[\ \	]*) \
   44         bs=\\; \
   45         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   46           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   47     esac; \
   48   fi; \
   49   skip_next=no; \
   50   strip_trailopt () \
   51   { \
   52     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   53   }; \
   54   for flg in $$sane_makeflags; do \
   55     test $$skip_next = yes && { skip_next=no; continue; }; \
   56     case $$flg in \
   57       *=*|--*) continue;; \
   58         -*I) strip_trailopt 'I'; skip_next=yes;; \
   59       -*I?*) strip_trailopt 'I';; \
   60         -*O) strip_trailopt 'O'; skip_next=yes;; \
   61       -*O?*) strip_trailopt 'O';; \
   62         -*l) strip_trailopt 'l'; skip_next=yes;; \
   63       -*l?*) strip_trailopt 'l';; \
   64       -[dEDm]) skip_next=yes;; \
   65       -[JT]) skip_next=yes;; \
   66     esac; \
   67     case $$flg in \
   68       *$$target_option*) has_opt=yes; break;; \
   69     esac; \
   70   done; \
   71   test $$has_opt = yes
   72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   74 pkgdatadir = $(datadir)/@PACKAGE@
   75 pkgincludedir = $(includedir)/@PACKAGE@
   76 pkglibdir = $(libdir)/@PACKAGE@
   77 pkglibexecdir = $(libexecdir)/@PACKAGE@
   78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   79 install_sh_DATA = $(install_sh) -c -m 644
   80 install_sh_PROGRAM = $(install_sh) -c
   81 install_sh_SCRIPT = $(install_sh) -c
   82 INSTALL_HEADER = $(INSTALL_DATA)
   83 transform = $(program_transform_name)
   84 NORMAL_INSTALL = :
   85 PRE_INSTALL = :
   86 POST_INSTALL = :
   87 NORMAL_UNINSTALL = :
   88 PRE_UNINSTALL = :
   89 POST_UNINSTALL = :
   90 build_triplet = @build@
   91 host_triplet = @host@
   92 target_triplet = @target@
   93 @USE_COVERAGE_TRUE@am__append_1 = --coverage -O0
   94 bin_PROGRAMS = extract$(EXEEXT)
   95 check_PROGRAMS = test_trivial$(EXEEXT) test_plugin_loading$(EXEEXT) \
   96 	test_plugin_load_multi$(EXEEXT) test_ipc$(EXEEXT) \
   97 	test_file$(EXEEXT) $(am__EXEEXT_1) $(am__EXEEXT_2)
   98 subdir = src/main
   99 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  100 am__aclocal_m4_deps = $(top_srcdir)/m4/abi-gsf.m4 \
  101 	$(top_srcdir)/m4/ac_define_dir.m4 \
  102 	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
  103 	$(top_srcdir)/m4/ax_check_link_flag.m4 \
  104 	$(top_srcdir)/m4/ax_create_pkgconfig_info.m4 \
  105 	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/glib-2.0.m4 \
  106 	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
  107 	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  108 	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
  109 	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
  110 	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
  111 	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/po.m4 \
  112 	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/acinclude.m4 \
  113 	$(top_srcdir)/configure.ac
  114 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  115 	$(ACLOCAL_M4)
  116 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
  117 mkinstalldirs = $(install_sh) -d
  118 CONFIG_HEADER = $(top_builddir)/config.h
  119 CONFIG_CLEAN_FILES =
  120 CONFIG_CLEAN_VPATH_FILES =
  121 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libdir)"
  122 @HAVE_ZLIB_TRUE@am__EXEEXT_1 = test_gzip$(EXEEXT)
  123 @HAVE_BZ2_TRUE@am__EXEEXT_2 = test_bzip2$(EXEEXT)
  124 PROGRAMS = $(bin_PROGRAMS)
  125 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  126 am__vpath_adj = case $$p in \
  127     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  128     *) f=$$p;; \
  129   esac;
  130 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  131 am__install_max = 40
  132 am__nobase_strip_setup = \
  133   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  134 am__nobase_strip = \
  135   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  136 am__nobase_list = $(am__nobase_strip_setup); \
  137   for p in $$list; do echo "$$p $$p"; done | \
  138   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  139   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  140     if (++n[$$2] == $(am__install_max)) \
  141       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  142     END { for (dir in files) print dir, files[dir] }'
  143 am__base_list = \
  144   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  145   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  146 am__uninstall_files_from_dir = { \
  147   test -z "$$files" \
  148     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  149     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  150          $(am__cd) "$$dir" && rm -f $$files; }; \
  151   }
  152 LTLIBRARIES = $(lib_LTLIBRARIES) $(noinst_LTLIBRARIES)
  153 am__DEPENDENCIES_1 =
  154 libextractor_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
  155 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
  156 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
  157 	$(am__DEPENDENCIES_1)
  158 am__libextractor_la_SOURCES_DIST = extractor_common.c \
  159 	extractor_common.h extractor_datasource.c \
  160 	extractor_datasource.h extractor_ipc_gnu.c extractor_ipc_w32.c \
  161 	extractor_ipc.c extractor_ipc.h extractor_logging.c \
  162 	extractor_logging.h extractor_metatypes.c extractor_plugpath.c \
  163 	extractor_plugpath.h extractor_plugins.c extractor_plugins.h \
  164 	extractor_print.c extractor_plugin_main.c \
  165 	extractor_plugin_main.h extractor.c
  166 @WINDOWS_FALSE@am__objects_1 = libextractor_la-extractor_ipc_gnu.lo
  167 @WINDOWS_TRUE@am__objects_1 = libextractor_la-extractor_ipc_w32.lo
  168 am_libextractor_la_OBJECTS = libextractor_la-extractor_common.lo \
  169 	libextractor_la-extractor_datasource.lo $(am__objects_1) \
  170 	libextractor_la-extractor_ipc.lo \
  171 	libextractor_la-extractor_logging.lo \
  172 	libextractor_la-extractor_metatypes.lo \
  173 	libextractor_la-extractor_plugpath.lo \
  174 	libextractor_la-extractor_plugins.lo \
  175 	libextractor_la-extractor_print.lo \
  176 	libextractor_la-extractor_plugin_main.lo \
  177 	libextractor_la-extractor.lo
  178 libextractor_la_OBJECTS = $(am_libextractor_la_OBJECTS)
  179 AM_V_lt = $(am__v_lt_@AM_V@)
  180 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  181 am__v_lt_0 = --silent
  182 am__v_lt_1 = 
  183 libextractor_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
  184 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
  185 	$(AM_CFLAGS) $(CFLAGS) $(libextractor_la_LDFLAGS) $(LDFLAGS) \
  186 	-o $@
  187 libextractor_test_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
  188 	$(am__DEPENDENCIES_1)
  189 am_libextractor_test_la_OBJECTS = test_extractor.lo
  190 libextractor_test_la_OBJECTS = $(am_libextractor_test_la_OBJECTS)
  191 libextractor_test_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
  192 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
  193 	$(AM_CFLAGS) $(CFLAGS) $(libextractor_test_la_LDFLAGS) \
  194 	$(LDFLAGS) -o $@
  195 libextractor_test2_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
  196 	$(am__DEPENDENCIES_1)
  197 am_libextractor_test2_la_OBJECTS = test2_extractor.lo
  198 libextractor_test2_la_OBJECTS = $(am_libextractor_test2_la_OBJECTS)
  199 libextractor_test2_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
  200 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
  201 	$(AM_CFLAGS) $(CFLAGS) $(libextractor_test2_la_LDFLAGS) \
  202 	$(LDFLAGS) -o $@
  203 am_extract_OBJECTS = extract.$(OBJEXT) getopt.$(OBJEXT) \
  204 	getopt1.$(OBJEXT)
  205 extract_OBJECTS = $(am_extract_OBJECTS)
  206 am_test_bzip2_OBJECTS = test_bzip2.$(OBJEXT)
  207 test_bzip2_OBJECTS = $(am_test_bzip2_OBJECTS)
  208 test_bzip2_DEPENDENCIES = $(top_builddir)/src/main/libextractor.la
  209 am_test_file_OBJECTS = test_file.$(OBJEXT)
  210 test_file_OBJECTS = $(am_test_file_OBJECTS)
  211 test_file_DEPENDENCIES = $(top_builddir)/src/main/libextractor.la
  212 am_test_gzip_OBJECTS = test_gzip.$(OBJEXT)
  213 test_gzip_OBJECTS = $(am_test_gzip_OBJECTS)
  214 test_gzip_DEPENDENCIES = $(top_builddir)/src/main/libextractor.la
  215 am_test_ipc_OBJECTS = test_ipc.$(OBJEXT)
  216 test_ipc_OBJECTS = $(am_test_ipc_OBJECTS)
  217 test_ipc_DEPENDENCIES = $(top_builddir)/src/main/libextractor.la
  218 am_test_plugin_load_multi_OBJECTS = test_plugin_load_multi.$(OBJEXT)
  219 test_plugin_load_multi_OBJECTS = $(am_test_plugin_load_multi_OBJECTS)
  220 test_plugin_load_multi_DEPENDENCIES =  \
  221 	$(top_builddir)/src/main/libextractor.la
  222 am_test_plugin_loading_OBJECTS = test_plugin_loading.$(OBJEXT)
  223 test_plugin_loading_OBJECTS = $(am_test_plugin_loading_OBJECTS)
  224 test_plugin_loading_DEPENDENCIES =  \
  225 	$(top_builddir)/src/main/libextractor.la
  226 am_test_trivial_OBJECTS = test_trivial.$(OBJEXT)
  227 test_trivial_OBJECTS = $(am_test_trivial_OBJECTS)
  228 test_trivial_DEPENDENCIES = $(top_builddir)/src/main/libextractor.la
  229 AM_V_P = $(am__v_P_@AM_V@)
  230 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  231 am__v_P_0 = false
  232 am__v_P_1 = :
  233 AM_V_GEN = $(am__v_GEN_@AM_V@)
  234 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  235 am__v_GEN_0 = @echo "  GEN     " $@;
  236 am__v_GEN_1 = 
  237 AM_V_at = $(am__v_at_@AM_V@)
  238 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  239 am__v_at_0 = @
  240 am__v_at_1 = 
  241 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
  242 depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  243 am__maybe_remake_depfiles = depfiles
  244 am__depfiles_remade = ./$(DEPDIR)/extract.Po ./$(DEPDIR)/getopt.Po \
  245 	./$(DEPDIR)/getopt1.Po \
  246 	./$(DEPDIR)/libextractor_la-extractor.Plo \
  247 	./$(DEPDIR)/libextractor_la-extractor_common.Plo \
  248 	./$(DEPDIR)/libextractor_la-extractor_datasource.Plo \
  249 	./$(DEPDIR)/libextractor_la-extractor_ipc.Plo \
  250 	./$(DEPDIR)/libextractor_la-extractor_ipc_gnu.Plo \
  251 	./$(DEPDIR)/libextractor_la-extractor_ipc_w32.Plo \
  252 	./$(DEPDIR)/libextractor_la-extractor_logging.Plo \
  253 	./$(DEPDIR)/libextractor_la-extractor_metatypes.Plo \
  254 	./$(DEPDIR)/libextractor_la-extractor_plugin_main.Plo \
  255 	./$(DEPDIR)/libextractor_la-extractor_plugins.Plo \
  256 	./$(DEPDIR)/libextractor_la-extractor_plugpath.Plo \
  257 	./$(DEPDIR)/libextractor_la-extractor_print.Plo \
  258 	./$(DEPDIR)/test2_extractor.Plo ./$(DEPDIR)/test_bzip2.Po \
  259 	./$(DEPDIR)/test_extractor.Plo ./$(DEPDIR)/test_file.Po \
  260 	./$(DEPDIR)/test_gzip.Po ./$(DEPDIR)/test_ipc.Po \
  261 	./$(DEPDIR)/test_plugin_load_multi.Po \
  262 	./$(DEPDIR)/test_plugin_loading.Po ./$(DEPDIR)/test_trivial.Po
  263 am__mv = mv -f
  264 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  265 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  266 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  267 	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  268 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  269 	$(AM_CFLAGS) $(CFLAGS)
  270 AM_V_CC = $(am__v_CC_@AM_V@)
  271 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  272 am__v_CC_0 = @echo "  CC      " $@;
  273 am__v_CC_1 = 
  274 CCLD = $(CC)
  275 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  276 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  277 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
  278 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  279 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  280 am__v_CCLD_0 = @echo "  CCLD    " $@;
  281 am__v_CCLD_1 = 
  282 SOURCES = $(libextractor_la_SOURCES) $(libextractor_test_la_SOURCES) \
  283 	$(libextractor_test2_la_SOURCES) $(extract_SOURCES) \
  284 	$(test_bzip2_SOURCES) $(test_file_SOURCES) \
  285 	$(test_gzip_SOURCES) $(test_ipc_SOURCES) \
  286 	$(test_plugin_load_multi_SOURCES) \
  287 	$(test_plugin_loading_SOURCES) $(test_trivial_SOURCES)
  288 DIST_SOURCES = $(am__libextractor_la_SOURCES_DIST) \
  289 	$(libextractor_test_la_SOURCES) \
  290 	$(libextractor_test2_la_SOURCES) $(extract_SOURCES) \
  291 	$(test_bzip2_SOURCES) $(test_file_SOURCES) \
  292 	$(test_gzip_SOURCES) $(test_ipc_SOURCES) \
  293 	$(test_plugin_load_multi_SOURCES) \
  294 	$(test_plugin_loading_SOURCES) $(test_trivial_SOURCES)
  295 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  296 	ctags-recursive dvi-recursive html-recursive info-recursive \
  297 	install-data-recursive install-dvi-recursive \
  298 	install-exec-recursive install-html-recursive \
  299 	install-info-recursive install-pdf-recursive \
  300 	install-ps-recursive install-recursive installcheck-recursive \
  301 	installdirs-recursive pdf-recursive ps-recursive \
  302 	tags-recursive uninstall-recursive
  303 am__can_run_installinfo = \
  304   case $$AM_UPDATE_INFO_DIR in \
  305     n|no|NO) false;; \
  306     *) (install-info --version) >/dev/null 2>&1;; \
  307   esac
  308 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  309   distclean-recursive maintainer-clean-recursive
  310 am__recursive_targets = \
  311   $(RECURSIVE_TARGETS) \
  312   $(RECURSIVE_CLEAN_TARGETS) \
  313   $(am__extra_recursive_targets)
  314 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  315 	check recheck distdir distdir-am
  316 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  317 # Read a list of newline-separated strings from the standard input,
  318 # and print each of them once, without duplicates.  Input order is
  319 # *not* preserved.
  320 am__uniquify_input = $(AWK) '\
  321   BEGIN { nonempty = 0; } \
  322   { items[$$0] = 1; nonempty = 1; } \
  323   END { if (nonempty) { for (i in items) print i; }; } \
  324 '
  325 # Make sure the list of sources is unique.  This is necessary because,
  326 # e.g., the same source file might be shared among _SOURCES variables
  327 # for different programs/libraries.
  328 am__define_uniq_tagged_files = \
  329   list='$(am__tagged_files)'; \
  330   unique=`for i in $$list; do \
  331     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  332   done | $(am__uniquify_input)`
  333 ETAGS = etags
  334 CTAGS = ctags
  335 am__tty_colors_dummy = \
  336   mgn= red= grn= lgn= blu= brg= std=; \
  337   am__color_tests=no
  338 am__tty_colors = { \
  339   $(am__tty_colors_dummy); \
  340   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  341     am__color_tests=no; \
  342   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  343     am__color_tests=yes; \
  344   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  345     am__color_tests=yes; \
  346   fi; \
  347   if test $$am__color_tests = yes; then \
  348     red=''; \
  349     grn=''; \
  350     lgn=''; \
  351     blu=''; \
  352     mgn=''; \
  353     brg=''; \
  354     std=''; \
  355   fi; \
  356 }
  357 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
  358 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
  359 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
  360 # A command that, given a newline-separated list of test names on the
  361 # standard input, print the name of the tests that are to be re-run
  362 # upon "make recheck".
  363 am__list_recheck_tests = $(AWK) '{ \
  364   recheck = 1; \
  365   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  366     { \
  367       if (rc < 0) \
  368         { \
  369           if ((getline line2 < ($$0 ".log")) < 0) \
  370 	    recheck = 0; \
  371           break; \
  372         } \
  373       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  374         { \
  375           recheck = 0; \
  376           break; \
  377         } \
  378       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  379         { \
  380           break; \
  381         } \
  382     }; \
  383   if (recheck) \
  384     print $$0; \
  385   close ($$0 ".trs"); \
  386   close ($$0 ".log"); \
  387 }'
  388 # A command that, given a newline-separated list of test names on the
  389 # standard input, create the global log from their .trs and .log files.
  390 am__create_global_log = $(AWK) ' \
  391 function fatal(msg) \
  392 { \
  393   print "fatal: making $@: " msg | "cat >&2"; \
  394   exit 1; \
  395 } \
  396 function rst_section(header) \
  397 { \
  398   print header; \
  399   len = length(header); \
  400   for (i = 1; i <= len; i = i + 1) \
  401     printf "="; \
  402   printf "\n\n"; \
  403 } \
  404 { \
  405   copy_in_global_log = 1; \
  406   global_test_result = "RUN"; \
  407   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  408     { \
  409       if (rc < 0) \
  410          fatal("failed to read from " $$0 ".trs"); \
  411       if (line ~ /$(am__global_test_result_rx)/) \
  412         { \
  413           sub("$(am__global_test_result_rx)", "", line); \
  414           sub("[ 	]*$$", "", line); \
  415           global_test_result = line; \
  416         } \
  417       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  418         copy_in_global_log = 0; \
  419     }; \
  420   if (copy_in_global_log) \
  421     { \
  422       rst_section(global_test_result ": " $$0); \
  423       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  424       { \
  425         if (rc < 0) \
  426           fatal("failed to read from " $$0 ".log"); \
  427         print line; \
  428       }; \
  429       printf "\n"; \
  430     }; \
  431   close ($$0 ".trs"); \
  432   close ($$0 ".log"); \
  433 }'
  434 # Restructured Text title.
  435 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  436 # Solaris 10 'make', and several other traditional 'make' implementations,
  437 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  438 # by disabling -e (using the XSI extension "set +e") if it's set.
  439 am__sh_e_setup = case $$- in *e*) set +e;; esac
  440 # Default flags passed to test drivers.
  441 am__common_driver_flags = \
  442   --color-tests "$$am__color_tests" \
  443   --enable-hard-errors "$$am__enable_hard_errors" \
  444   --expect-failure "$$am__expect_failure"
  445 # To be inserted before the command running the test.  Creates the
  446 # directory for the log if needed.  Stores in $dir the directory
  447 # containing $f, in $tst the test, in $log the log.  Executes the
  448 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  449 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  450 # will run the test scripts (or their associated LOG_COMPILER, if
  451 # thy have one).
  452 am__check_pre = \
  453 $(am__sh_e_setup);					\
  454 $(am__vpath_adj_setup) $(am__vpath_adj)			\
  455 $(am__tty_colors);					\
  456 srcdir=$(srcdir); export srcdir;			\
  457 case "$@" in						\
  458   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
  459     *) am__odir=.;; 					\
  460 esac;							\
  461 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  462   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
  463 if test -f "./$$f"; then dir=./;			\
  464 elif test -f "$$f"; then dir=;				\
  465 else dir="$(srcdir)/"; fi;				\
  466 tst=$$dir$$f; log='$@'; 				\
  467 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  468   am__enable_hard_errors=no; 				\
  469 else							\
  470   am__enable_hard_errors=yes; 				\
  471 fi; 							\
  472 case " $(XFAIL_TESTS) " in				\
  473   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
  474     am__expect_failure=yes;;				\
  475   *)							\
  476     am__expect_failure=no;;				\
  477 esac; 							\
  478 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  479 # A shell command to get the names of the tests scripts with any registered
  480 # extension removed (i.e., equivalently, the names of the test logs, with
  481 # the '.log' extension removed).  The result is saved in the shell variable
  482 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  483 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  484 # since that might cause problem with VPATH rewrites for suffix-less tests.
  485 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  486 am__set_TESTS_bases = \
  487   bases='$(TEST_LOGS)'; \
  488   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  489   bases=`echo $$bases`
  490 AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  491 RECHECK_LOGS = $(TEST_LOGS)
  492 TEST_SUITE_LOG = test-suite.log
  493 TEST_EXTENSIONS = @EXEEXT@ .test
  494 LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  495 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  496 am__set_b = \
  497   case '$@' in \
  498     */*) \
  499       case '$*' in \
  500         */*) b='$*';; \
  501           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  502        esac;; \
  503     *) \
  504       b='$*';; \
  505   esac
  506 am__test_logs1 = $(TESTS:=.log)
  507 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  508 TEST_LOGS = $(am__test_logs2:.test.log=.log)
  509 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  510 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  511 	$(TEST_LOG_FLAGS)
  512 DIST_SUBDIRS = $(SUBDIRS)
  513 am__DIST_COMMON = $(srcdir)/Makefile.in \
  514 	$(top_srcdir)/build-aux/depcomp \
  515 	$(top_srcdir)/build-aux/test-driver
  516 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  517 am__relativize = \
  518   dir0=`pwd`; \
  519   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  520   sed_rest='s,^[^/]*/*,,'; \
  521   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  522   sed_butlast='s,/*[^/]*$$,,'; \
  523   while test -n "$$dir1"; do \
  524     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  525     if test "$$first" != "."; then \
  526       if test "$$first" = ".."; then \
  527         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  528         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  529       else \
  530         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  531         if test "$$first2" = "$$first"; then \
  532           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  533         else \
  534           dir2="../$$dir2"; \
  535         fi; \
  536         dir0="$$dir0"/"$$first"; \
  537       fi; \
  538     fi; \
  539     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  540   done; \
  541   reldir="$$dir2"
  542 ACLOCAL = @ACLOCAL@
  543 AMTAR = @AMTAR@
  544 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  545 AR = @AR@
  546 AUTOCONF = @AUTOCONF@
  547 AUTOHEADER = @AUTOHEADER@
  548 AUTOMAKE = @AUTOMAKE@
  549 AWK = @AWK@
  550 CC = @CC@
  551 CCDEPMODE = @CCDEPMODE@
  552 CFLAGS = @CFLAGS@
  553 CPP = @CPP@
  554 CPPFLAGS = @CPPFLAGS@
  555 CXX = @CXX@
  556 CXXCPP = @CXXCPP@
  557 CXXDEPMODE = @CXXDEPMODE@
  558 CXXFLAGS = @CXXFLAGS@
  559 CYGPATH_W = @CYGPATH_W@
  560 DEFS = @DEFS@
  561 DEPDIR = @DEPDIR@
  562 DLLTOOL = @DLLTOOL@
  563 DSYMUTIL = @DSYMUTIL@
  564 DUMPBIN = @DUMPBIN@
  565 ECHO_C = @ECHO_C@
  566 ECHO_N = @ECHO_N@
  567 ECHO_T = @ECHO_T@
  568 EGREP = @EGREP@
  569 EXEEXT = @EXEEXT@
  570 FGREP = @FGREP@
  571 GDK_PIXBUF_CFLAGS = @GDK_PIXBUF_CFLAGS@
  572 GDK_PIXBUF_LIBS = @GDK_PIXBUF_LIBS@
  573 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
  574 GLIB_CFLAGS = @GLIB_CFLAGS@
  575 GLIB_COMPILE_RESOURCES = @GLIB_COMPILE_RESOURCES@
  576 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
  577 GLIB_LIBS = @GLIB_LIBS@
  578 GLIB_MKENUMS = @GLIB_MKENUMS@
  579 GMSGFMT = @GMSGFMT@
  580 GMSGFMT_015 = @GMSGFMT_015@
  581 GOBJECT_QUERY = @GOBJECT_QUERY@
  582 GREP = @GREP@
  583 GSF_CFLAGS = @GSF_CFLAGS@
  584 GSF_GNOME_CFLAGS = @GSF_GNOME_CFLAGS@
  585 GSF_GNOME_LIBS = @GSF_GNOME_LIBS@
  586 GSF_LIBS = @GSF_LIBS@
  587 GSTREAMER_APP_CFLAGS = @GSTREAMER_APP_CFLAGS@
  588 GSTREAMER_APP_LIBS = @GSTREAMER_APP_LIBS@
  589 GSTREAMER_CFLAGS = @GSTREAMER_CFLAGS@
  590 GSTREAMER_LIBS = @GSTREAMER_LIBS@
  591 GSTREAMER_PBUTILS_CFLAGS = @GSTREAMER_PBUTILS_CFLAGS@
  592 GSTREAMER_PBUTILS_LIBS = @GSTREAMER_PBUTILS_LIBS@
  593 GSTREAMER_TAG_CFLAGS = @GSTREAMER_TAG_CFLAGS@
  594 GSTREAMER_TAG_LIBS = @GSTREAMER_TAG_LIBS@
  595 HAVE_CXX = @HAVE_CXX@
  596 HAVE_ZZUF = @HAVE_ZZUF@
  597 HIDDEN_VISIBILITY_CFLAGS = @HIDDEN_VISIBILITY_CFLAGS@
  598 INSTALL = @INSTALL@
  599 INSTALL_DATA = @INSTALL_DATA@
  600 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  601 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  602 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  603 INTLLIBS = @INTLLIBS@
  604 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
  605 ISOLOCALEDIR = @ISOLOCALEDIR@
  606 LD = @LD@
  607 LDFLAGS = @LDFLAGS@
  608 LE_INTLINCL = @LE_INTLINCL@
  609 LE_LIBINTL = @LE_LIBINTL@
  610 LE_LIB_LDFLAGS = @LE_LIB_LDFLAGS@
  611 LE_LIB_LIBS = @LE_LIB_LIBS@
  612 LE_PLUGIN_LDFLAGS = @LE_PLUGIN_LDFLAGS@
  613 LIBEXT = @LIBEXT@
  614 LIBICONV = @LIBICONV@
  615 LIBINTL = @LIBINTL@
  616 LIBOBJS = @LIBOBJS@
  617 LIBS = \
  618  @LE_LIBINTL@ @LE_LIB_LIBS@
  619 
  620 LIBTOOL = @LIBTOOL@
  621 LIB_VERSION_AGE = @LIB_VERSION_AGE@
  622 LIB_VERSION_CURRENT = @LIB_VERSION_CURRENT@
  623 LIB_VERSION_REVISION = @LIB_VERSION_REVISION@
  624 LIPO = @LIPO@
  625 LN_S = @LN_S@
  626 LOCALEDIR = @LOCALEDIR@
  627 LTLIBICONV = @LTLIBICONV@
  628 LTLIBINTL = @LTLIBINTL@
  629 LTLIBOBJS = @LTLIBOBJS@
  630 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  631 MAKEINFO = @MAKEINFO@
  632 MANIFEST_TOOL = @MANIFEST_TOOL@
  633 MKDIR_P = @MKDIR_P@
  634 MSGFMT = @MSGFMT@
  635 MSGFMT_015 = @MSGFMT_015@
  636 MSGMERGE = @MSGMERGE@
  637 NM = @NM@
  638 NMEDIT = @NMEDIT@
  639 OBJDUMP = @OBJDUMP@
  640 OBJEXT = @OBJEXT@
  641 OTOOL = @OTOOL@
  642 OTOOL64 = @OTOOL64@
  643 PACKAGE = @PACKAGE@
  644 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  645 PACKAGE_NAME = @PACKAGE_NAME@
  646 PACKAGE_STRING = @PACKAGE_STRING@
  647 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  648 PACKAGE_URL = @PACKAGE_URL@
  649 PACKAGE_VERSION = @PACKAGE_VERSION@
  650 PACKAGE_VERSION_NOALPHA = @PACKAGE_VERSION_NOALPHA@
  651 PATH_SEPARATOR = @PATH_SEPARATOR@
  652 PKG_CONFIG = @PKG_CONFIG@
  653 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  654 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  655 POSUB = @POSUB@
  656 QT_CPPFLAGS = @QT_CPPFLAGS@
  657 QT_LDFLAGS = @QT_LDFLAGS@
  658 RANLIB = @RANLIB@
  659 RPLUGINDIR = @RPLUGINDIR@
  660 SED = @SED@
  661 SET_MAKE = @SET_MAKE@
  662 SHELL = @SHELL@
  663 SOCKET_LIBS = @SOCKET_LIBS@
  664 STRIP = @STRIP@
  665 USE_NLS = @USE_NLS@
  666 VERSION = @VERSION@
  667 XGETTEXT = @XGETTEXT@
  668 XGETTEXT_015 = @XGETTEXT_015@
  669 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
  670 XTRA_CPPLIBS = @XTRA_CPPLIBS@
  671 abs_builddir = @abs_builddir@
  672 abs_srcdir = @abs_srcdir@
  673 abs_top_builddir = @abs_top_builddir@
  674 abs_top_srcdir = @abs_top_srcdir@
  675 ac_ct_AR = @ac_ct_AR@
  676 ac_ct_CC = @ac_ct_CC@
  677 ac_ct_CXX = @ac_ct_CXX@
  678 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  679 am__include = @am__include@
  680 am__leading_dot = @am__leading_dot@
  681 am__quote = @am__quote@
  682 am__tar = @am__tar@
  683 am__untar = @am__untar@
  684 bindir = @bindir@
  685 build = @build@
  686 build_alias = @build_alias@
  687 build_cpu = @build_cpu@
  688 build_os = @build_os@
  689 build_vendor = @build_vendor@
  690 builddir = @builddir@
  691 datadir = @datadir@
  692 datarootdir = @datarootdir@
  693 docdir = @docdir@
  694 dvidir = @dvidir@
  695 exec_prefix = @exec_prefix@
  696 host = @host@
  697 host_alias = @host_alias@
  698 host_cpu = @host_cpu@
  699 host_os = @host_os@
  700 host_vendor = @host_vendor@
  701 htmldir = @htmldir@
  702 includedir = @includedir@
  703 infodir = @infodir@
  704 install_sh = @install_sh@
  705 libdir = @libdir@
  706 libexecdir = @libexecdir@
  707 localedir = @localedir@
  708 localstatedir = @localstatedir@
  709 mandir = @mandir@
  710 mkdir_p = @mkdir_p@
  711 oldincludedir = @oldincludedir@
  712 pdfdir = @pdfdir@
  713 pkgconfig_libdir = @pkgconfig_libdir@
  714 pkgconfig_libfile = @pkgconfig_libfile@
  715 prefix = @prefix@
  716 program_transform_name = @program_transform_name@
  717 psdir = @psdir@
  718 runstatedir = @runstatedir@
  719 sbindir = @sbindir@
  720 sharedstatedir = @sharedstatedir@
  721 srcdir = @srcdir@
  722 sysconfdir = @sysconfdir@
  723 target = @target@
  724 target_alias = @target_alias@
  725 target_cpu = @target_cpu@
  726 target_os = @target_os@
  727 target_vendor = @target_vendor@
  728 top_build_prefix = @top_build_prefix@
  729 top_builddir = @top_builddir@
  730 top_srcdir = @top_srcdir@
  731 
  732 # This Makefile.am is in the public domain
  733 SUBDIRS = .
  734 AM_CPPFLAGS = -I$(top_srcdir)/src/include
  735 AM_CFLAGS = $(HIDDEN_VISIBILITY_CFLAGS) $(am__append_1)
  736 @USE_COVERAGE_TRUE@XLIB = -lgcov
  737 lib_LTLIBRARIES = \
  738   libextractor.la
  739 
  740 @HAVE_ZLIB_TRUE@zlib = -lz
  741 @HAVE_ZLIB_TRUE@TEST_ZLIB = test_gzip
  742 @HAVE_BZ2_TRUE@bz2lib = -lbz2
  743 @HAVE_BZ2_TRUE@TEST_BZIP2 = test_bzip2
  744 @HAVE_APPARMOR_TRUE@apparmor = -lapparmor
  745 @WINDOWS_FALSE@EXTRACTOR_IPC = extractor_ipc_gnu.c
  746 @WINDOWS_TRUE@EXTRACTOR_IPC = extractor_ipc_w32.c
  747 @HAVE_GNU_LD_TRUE@makesymbolic = -Wl,-Bsymbolic
  748 
  749 # install plugins under:
  750 plugindir = $(libdir)/@RPLUGINDIR@
  751 PLUGINFLAGS = $(makesymbolic) $(LE_PLUGIN_LDFLAGS)
  752 EXTRA_DIST = \
  753   iconv.c \
  754   test_file.dat \
  755   test_file.dat.gz \
  756   test_file.dat.bz2
  757 
  758 libextractor_la_CPPFLAGS = \
  759   -DPLUGINDIR=\"@RPLUGINDIR@\" -DPLUGININSTDIR=\"${plugindir}\" $(AM_CPPFLAGS)
  760 
  761 libextractor_la_SOURCES = \
  762   extractor_common.c extractor_common.h \
  763   extractor_datasource.c extractor_datasource.h \
  764   $(EXTRACTOR_IPC) extractor_ipc.c extractor_ipc.h \
  765   extractor_logging.c extractor_logging.h \
  766   extractor_metatypes.c \
  767   extractor_plugpath.c extractor_plugpath.h \
  768   extractor_plugins.c extractor_plugins.h \
  769   extractor_print.c \
  770   extractor_plugin_main.c extractor_plugin_main.h \
  771   extractor.c
  772 
  773 libextractor_la_LDFLAGS = \
  774   $(LE_LIB_LDFLAGS) -version-info @LIB_VERSION_CURRENT@:@LIB_VERSION_REVISION@:@LIB_VERSION_AGE@
  775 
  776 libextractor_la_LIBADD = \
  777   -lltdl $(zlib) $(bz2lib) $(LTLIBICONV) $(XLIB) $(LE_LIBINTL) $(apparmor)
  778 
  779 extract_SOURCES = \
  780   extract.c \
  781   getopt.c getopt.h getopt1.c
  782 
  783 extract_DEPENDENCIES = \
  784   libextractor.la
  785 
  786 extract_LDADD = \
  787  $(top_builddir)/src/main/libextractor.la $(LE_LIBINTL)
  788 
  789 TESTS_ENVIRONMENT = testdatadir=$(top_srcdir)/test bindir=${bindir}
  790 noinst_LTLIBRARIES = \
  791   libextractor_test.la \
  792   libextractor_test2.la
  793 
  794 libextractor_test_la_SOURCES = \
  795   test_extractor.c
  796 
  797 libextractor_test_la_LDFLAGS = \
  798   $(PLUGINFLAGS) -rpath /nowhere
  799 
  800 libextractor_test_la_LIBADD = \
  801   $(LE_LIBINTL) $(XLIB)
  802 
  803 libextractor_test2_la_SOURCES = \
  804   test2_extractor.c
  805 
  806 libextractor_test2_la_LDFLAGS = \
  807   $(PLUGINFLAGS) -rpath /nowhere
  808 
  809 libextractor_test2_la_LIBADD = \
  810   $(LE_LIBINTL) $(XLIB)
  811 
  812 @ENABLE_TEST_RUN_TRUE@TESTS = $(check_PROGRAMS)
  813 test_trivial_SOURCES = \
  814  test_trivial.c
  815 
  816 test_trivial_LDADD = \
  817  $(top_builddir)/src/main/libextractor.la
  818 
  819 test_plugin_loading_SOURCES = \
  820  test_plugin_loading.c
  821 
  822 test_plugin_loading_LDADD = \
  823  $(top_builddir)/src/main/libextractor.la
  824 
  825 test_plugin_load_multi_SOURCES = \
  826  test_plugin_load_multi.c
  827 
  828 test_plugin_load_multi_LDADD = \
  829  $(top_builddir)/src/main/libextractor.la
  830 
  831 test_ipc_SOURCES = \
  832  test_ipc.c
  833 
  834 test_ipc_LDADD = \
  835  $(top_builddir)/src/main/libextractor.la
  836 
  837 test_file_SOURCES = \
  838  test_file.c
  839 
  840 test_file_LDADD = \
  841  $(top_builddir)/src/main/libextractor.la
  842 
  843 test_gzip_SOURCES = \
  844  test_gzip.c
  845 
  846 test_gzip_LDADD = \
  847  $(top_builddir)/src/main/libextractor.la
  848 
  849 test_bzip2_SOURCES = \
  850  test_bzip2.c
  851 
  852 test_bzip2_LDADD = \
  853  $(top_builddir)/src/main/libextractor.la
  854 
  855 all: all-recursive
  856 
  857 .SUFFIXES:
  858 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  859 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  860 	@for dep in $?; do \
  861 	  case '$(am__configure_deps)' in \
  862 	    *$$dep*) \
  863 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  864 	        && { if test -f $@; then exit 0; else break; fi; }; \
  865 	      exit 1;; \
  866 	  esac; \
  867 	done; \
  868 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/main/Makefile'; \
  869 	$(am__cd) $(top_srcdir) && \
  870 	  $(AUTOMAKE) --gnu src/main/Makefile
  871 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  872 	@case '$?' in \
  873 	  *config.status*) \
  874 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  875 	  *) \
  876 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  877 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  878 	esac;
  879 
  880 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  881 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  882 
  883 $(top_srcdir)/configure:  $(am__configure_deps)
  884 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  885 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  886 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  887 $(am__aclocal_m4_deps):
  888 install-binPROGRAMS: $(bin_PROGRAMS)
  889 	@$(NORMAL_INSTALL)
  890 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  891 	if test -n "$$list"; then \
  892 	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
  893 	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
  894 	fi; \
  895 	for p in $$list; do echo "$$p $$p"; done | \
  896 	sed 's/$(EXEEXT)$$//' | \
  897 	while read p p1; do if test -f $$p \
  898 	 || test -f $$p1 \
  899 	  ; then echo "$$p"; echo "$$p"; else :; fi; \
  900 	done | \
  901 	sed -e 'p;s,.*/,,;n;h' \
  902 	    -e 's|.*|.|' \
  903 	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  904 	sed 'N;N;N;s,\n, ,g' | \
  905 	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  906 	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  907 	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
  908 	    else { print "f", $$3 "/" $$4, $$1; } } \
  909 	  END { for (d in files) print "f", d, files[d] }' | \
  910 	while read type dir files; do \
  911 	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  912 	    test -z "$$files" || { \
  913 	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
  914 	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
  915 	    } \
  916 	; done
  917 
  918 uninstall-binPROGRAMS:
  919 	@$(NORMAL_UNINSTALL)
  920 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  921 	files=`for p in $$list; do echo "$$p"; done | \
  922 	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  923 	      -e 's/$$/$(EXEEXT)/' \
  924 	`; \
  925 	test -n "$$list" || exit 0; \
  926 	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
  927 	cd "$(DESTDIR)$(bindir)" && rm -f $$files
  928 
  929 clean-binPROGRAMS:
  930 	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
  931 	echo " rm -f" $$list; \
  932 	rm -f $$list || exit $$?; \
  933 	test -n "$(EXEEXT)" || exit 0; \
  934 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  935 	echo " rm -f" $$list; \
  936 	rm -f $$list
  937 
  938 clean-checkPROGRAMS:
  939 	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
  940 	echo " rm -f" $$list; \
  941 	rm -f $$list || exit $$?; \
  942 	test -n "$(EXEEXT)" || exit 0; \
  943 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  944 	echo " rm -f" $$list; \
  945 	rm -f $$list
  946 
  947 install-libLTLIBRARIES: $(lib_LTLIBRARIES)
  948 	@$(NORMAL_INSTALL)
  949 	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
  950 	list2=; for p in $$list; do \
  951 	  if test -f $$p; then \
  952 	    list2="$$list2 $$p"; \
  953 	  else :; fi; \
  954 	done; \
  955 	test -z "$$list2" || { \
  956 	  echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
  957 	  $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
  958 	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
  959 	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
  960 	}
  961 
  962 uninstall-libLTLIBRARIES:
  963 	@$(NORMAL_UNINSTALL)
  964 	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
  965 	for p in $$list; do \
  966 	  $(am__strip_dir) \
  967 	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
  968 	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
  969 	done
  970 
  971 clean-libLTLIBRARIES:
  972 	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
  973 	@list='$(lib_LTLIBRARIES)'; \
  974 	locs=`for p in $$list; do echo $$p; done | \
  975 	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  976 	      sort -u`; \
  977 	test -z "$$locs" || { \
  978 	  echo rm -f $${locs}; \
  979 	  rm -f $${locs}; \
  980 	}
  981 
  982 clean-noinstLTLIBRARIES:
  983 	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
  984 	@list='$(noinst_LTLIBRARIES)'; \
  985 	locs=`for p in $$list; do echo $$p; done | \
  986 	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  987 	      sort -u`; \
  988 	test -z "$$locs" || { \
  989 	  echo rm -f $${locs}; \
  990 	  rm -f $${locs}; \
  991 	}
  992 
  993 libextractor.la: $(libextractor_la_OBJECTS) $(libextractor_la_DEPENDENCIES) $(EXTRA_libextractor_la_DEPENDENCIES) 
  994 	$(AM_V_CCLD)$(libextractor_la_LINK) -rpath $(libdir) $(libextractor_la_OBJECTS) $(libextractor_la_LIBADD) $(LIBS)
  995 
  996 libextractor_test.la: $(libextractor_test_la_OBJECTS) $(libextractor_test_la_DEPENDENCIES) $(EXTRA_libextractor_test_la_DEPENDENCIES) 
  997 	$(AM_V_CCLD)$(libextractor_test_la_LINK)  $(libextractor_test_la_OBJECTS) $(libextractor_test_la_LIBADD) $(LIBS)
  998 
  999 libextractor_test2.la: $(libextractor_test2_la_OBJECTS) $(libextractor_test2_la_DEPENDENCIES) $(EXTRA_libextractor_test2_la_DEPENDENCIES) 
 1000 	$(AM_V_CCLD)$(libextractor_test2_la_LINK)  $(libextractor_test2_la_OBJECTS) $(libextractor_test2_la_LIBADD) $(LIBS)
 1001 
 1002 extract$(EXEEXT): $(extract_OBJECTS) $(extract_DEPENDENCIES) $(EXTRA_extract_DEPENDENCIES) 
 1003 	@rm -f extract$(EXEEXT)
 1004 	$(AM_V_CCLD)$(LINK) $(extract_OBJECTS) $(extract_LDADD) $(LIBS)
 1005 
 1006 test_bzip2$(EXEEXT): $(test_bzip2_OBJECTS) $(test_bzip2_DEPENDENCIES) $(EXTRA_test_bzip2_DEPENDENCIES) 
 1007 	@rm -f test_bzip2$(EXEEXT)
 1008 	$(AM_V_CCLD)$(LINK) $(test_bzip2_OBJECTS) $(test_bzip2_LDADD) $(LIBS)
 1009 
 1010 test_file$(EXEEXT): $(test_file_OBJECTS) $(test_file_DEPENDENCIES) $(EXTRA_test_file_DEPENDENCIES) 
 1011 	@rm -f test_file$(EXEEXT)
 1012 	$(AM_V_CCLD)$(LINK) $(test_file_OBJECTS) $(test_file_LDADD) $(LIBS)
 1013 
 1014 test_gzip$(EXEEXT): $(test_gzip_OBJECTS) $(test_gzip_DEPENDENCIES) $(EXTRA_test_gzip_DEPENDENCIES) 
 1015 	@rm -f test_gzip$(EXEEXT)
 1016 	$(AM_V_CCLD)$(LINK) $(test_gzip_OBJECTS) $(test_gzip_LDADD) $(LIBS)
 1017 
 1018 test_ipc$(EXEEXT): $(test_ipc_OBJECTS) $(test_ipc_DEPENDENCIES) $(EXTRA_test_ipc_DEPENDENCIES) 
 1019 	@rm -f test_ipc$(EXEEXT)
 1020 	$(AM_V_CCLD)$(LINK) $(test_ipc_OBJECTS) $(test_ipc_LDADD) $(LIBS)
 1021 
 1022 test_plugin_load_multi$(EXEEXT): $(test_plugin_load_multi_OBJECTS) $(test_plugin_load_multi_DEPENDENCIES) $(EXTRA_test_plugin_load_multi_DEPENDENCIES) 
 1023 	@rm -f test_plugin_load_multi$(EXEEXT)
 1024 	$(AM_V_CCLD)$(LINK) $(test_plugin_load_multi_OBJECTS) $(test_plugin_load_multi_LDADD) $(LIBS)
 1025 
 1026 test_plugin_loading$(EXEEXT): $(test_plugin_loading_OBJECTS) $(test_plugin_loading_DEPENDENCIES) $(EXTRA_test_plugin_loading_DEPENDENCIES) 
 1027 	@rm -f test_plugin_loading$(EXEEXT)
 1028 	$(AM_V_CCLD)$(LINK) $(test_plugin_loading_OBJECTS) $(test_plugin_loading_LDADD) $(LIBS)
 1029 
 1030 test_trivial$(EXEEXT): $(test_trivial_OBJECTS) $(test_trivial_DEPENDENCIES) $(EXTRA_test_trivial_DEPENDENCIES) 
 1031 	@rm -f test_trivial$(EXEEXT)
 1032 	$(AM_V_CCLD)$(LINK) $(test_trivial_OBJECTS) $(test_trivial_LDADD) $(LIBS)
 1033 
 1034 mostlyclean-compile:
 1035 	-rm -f *.$(OBJEXT)
 1036 
 1037 distclean-compile:
 1038 	-rm -f *.tab.c
 1039 
 1040 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/extract.Po@am__quote@ # am--include-marker
 1041 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getopt.Po@am__quote@ # am--include-marker
 1042 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getopt1.Po@am__quote@ # am--include-marker
 1043 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libextractor_la-extractor.Plo@am__quote@ # am--include-marker
 1044 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libextractor_la-extractor_common.Plo@am__quote@ # am--include-marker
 1045 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libextractor_la-extractor_datasource.Plo@am__quote@ # am--include-marker
 1046 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libextractor_la-extractor_ipc.Plo@am__quote@ # am--include-marker
 1047 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libextractor_la-extractor_ipc_gnu.Plo@am__quote@ # am--include-marker
 1048 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libextractor_la-extractor_ipc_w32.Plo@am__quote@ # am--include-marker
 1049 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libextractor_la-extractor_logging.Plo@am__quote@ # am--include-marker
 1050 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libextractor_la-extractor_metatypes.Plo@am__quote@ # am--include-marker
 1051 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libextractor_la-extractor_plugin_main.Plo@am__quote@ # am--include-marker
 1052 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libextractor_la-extractor_plugins.Plo@am__quote@ # am--include-marker
 1053 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libextractor_la-extractor_plugpath.Plo@am__quote@ # am--include-marker
 1054 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libextractor_la-extractor_print.Plo@am__quote@ # am--include-marker
 1055 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test2_extractor.Plo@am__quote@ # am--include-marker
 1056 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_bzip2.Po@am__quote@ # am--include-marker
 1057 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_extractor.Plo@am__quote@ # am--include-marker
 1058 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_file.Po@am__quote@ # am--include-marker
 1059 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_gzip.Po@am__quote@ # am--include-marker
 1060 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_ipc.Po@am__quote@ # am--include-marker
 1061 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_plugin_load_multi.Po@am__quote@ # am--include-marker
 1062 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_plugin_loading.Po@am__quote@ # am--include-marker
 1063 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_trivial.Po@am__quote@ # am--include-marker
 1064 
 1065 $(am__depfiles_remade):
 1066 	@$(MKDIR_P) $(@D)
 1067 	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
 1068 
 1069 am--depfiles: $(am__depfiles_remade)
 1070 
 1071 .c.o:
 1072 @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
 1073 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
 1074 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 1075 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 1076 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
 1077 
 1078 .c.obj:
 1079 @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
 1080 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
 1081 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 1082 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 1083 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 1084 
 1085 .c.lo:
 1086 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
 1087 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
 1088 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 1089 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 1090 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
 1091 
 1092 libextractor_la-extractor_common.lo: extractor_common.c
 1093 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libextractor_la-extractor_common.lo -MD -MP -MF $(DEPDIR)/libextractor_la-extractor_common.Tpo -c -o libextractor_la-extractor_common.lo `test -f 'extractor_common.c' || echo '$(srcdir)/'`extractor_common.c
 1094 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libextractor_la-extractor_common.Tpo $(DEPDIR)/libextractor_la-extractor_common.Plo
 1095 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='extractor_common.c' object='libextractor_la-extractor_common.lo' libtool=yes @AMDEPBACKSLASH@
 1096 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 1097 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libextractor_la-extractor_common.lo `test -f 'extractor_common.c' || echo '$(srcdir)/'`extractor_common.c
 1098 
 1099 libextractor_la-extractor_datasource.lo: extractor_datasource.c
 1100 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libextractor_la-extractor_datasource.lo -MD -MP -MF $(DEPDIR)/libextractor_la-extractor_datasource.Tpo -c -o libextractor_la-extractor_datasource.lo `test -f 'extractor_datasource.c' || echo '$(srcdir)/'`extractor_datasource.c
 1101 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libextractor_la-extractor_datasource.Tpo $(DEPDIR)/libextractor_la-extractor_datasource.Plo
 1102 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='extractor_datasource.c' object='libextractor_la-extractor_datasource.lo' libtool=yes @AMDEPBACKSLASH@
 1103 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 1104 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libextractor_la-extractor_datasource.lo `test -f 'extractor_datasource.c' || echo '$(srcdir)/'`extractor_datasource.c
 1105 
 1106 libextractor_la-extractor_ipc_gnu.lo: extractor_ipc_gnu.c
 1107 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libextractor_la-extractor_ipc_gnu.lo -MD -MP -MF $(DEPDIR)/libextractor_la-extractor_ipc_gnu.Tpo -c -o libextractor_la-extractor_ipc_gnu.lo `test -f 'extractor_ipc_gnu.c' || echo '$(srcdir)/'`extractor_ipc_gnu.c
 1108 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libextractor_la-extractor_ipc_gnu.Tpo $(DEPDIR)/libextractor_la-extractor_ipc_gnu.Plo
 1109 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='extractor_ipc_gnu.c' object='libextractor_la-extractor_ipc_gnu.lo' libtool=yes @AMDEPBACKSLASH@
 1110 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 1111 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libextractor_la-extractor_ipc_gnu.lo `test -f 'extractor_ipc_gnu.c' || echo '$(srcdir)/'`extractor_ipc_gnu.c
 1112 
 1113 libextractor_la-extractor_ipc_w32.lo: extractor_ipc_w32.c
 1114 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libextractor_la-extractor_ipc_w32.lo -MD -MP -MF $(DEPDIR)/libextractor_la-extractor_ipc_w32.Tpo -c -o libextractor_la-extractor_ipc_w32.lo `test -f 'extractor_ipc_w32.c' || echo '$(srcdir)/'`extractor_ipc_w32.c
 1115 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libextractor_la-extractor_ipc_w32.Tpo $(DEPDIR)/libextractor_la-extractor_ipc_w32.Plo
 1116 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='extractor_ipc_w32.c' object='libextractor_la-extractor_ipc_w32.lo' libtool=yes @AMDEPBACKSLASH@
 1117 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 1118 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libextractor_la-extractor_ipc_w32.lo `test -f 'extractor_ipc_w32.c' || echo '$(srcdir)/'`extractor_ipc_w32.c
 1119 
 1120 libextractor_la-extractor_ipc.lo: extractor_ipc.c
 1121 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libextractor_la-extractor_ipc.lo -MD -MP -MF $(DEPDIR)/libextractor_la-extractor_ipc.Tpo -c -o libextractor_la-extractor_ipc.lo `test -f 'extractor_ipc.c' || echo '$(srcdir)/'`extractor_ipc.c
 1122 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libextractor_la-extractor_ipc.Tpo $(DEPDIR)/libextractor_la-extractor_ipc.Plo
 1123 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='extractor_ipc.c' object='libextractor_la-extractor_ipc.lo' libtool=yes @AMDEPBACKSLASH@
 1124 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 1125 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libextractor_la-extractor_ipc.lo `test -f 'extractor_ipc.c' || echo '$(srcdir)/'`extractor_ipc.c
 1126 
 1127 libextractor_la-extractor_logging.lo: extractor_logging.c
 1128 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libextractor_la-extractor_logging.lo -MD -MP -MF $(DEPDIR)/libextractor_la-extractor_logging.Tpo -c -o libextractor_la-extractor_logging.lo `test -f 'extractor_logging.c' || echo '$(srcdir)/'`extractor_logging.c
 1129 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libextractor_la-extractor_logging.Tpo $(DEPDIR)/libextractor_la-extractor_logging.Plo
 1130 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='extractor_logging.c' object='libextractor_la-extractor_logging.lo' libtool=yes @AMDEPBACKSLASH@
 1131 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 1132 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libextractor_la-extractor_logging.lo `test -f 'extractor_logging.c' || echo '$(srcdir)/'`extractor_logging.c
 1133 
 1134 libextractor_la-extractor_metatypes.lo: extractor_metatypes.c
 1135 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libextractor_la-extractor_metatypes.lo -MD -MP -MF $(DEPDIR)/libextractor_la-extractor_metatypes.Tpo -c -o libextractor_la-extractor_metatypes.lo `test -f 'extractor_metatypes.c' || echo '$(srcdir)/'`extractor_metatypes.c
 1136 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libextractor_la-extractor_metatypes.Tpo $(DEPDIR)/libextractor_la-extractor_metatypes.Plo
 1137 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='extractor_metatypes.c' object='libextractor_la-extractor_metatypes.lo' libtool=yes @AMDEPBACKSLASH@
 1138 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 1139 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libextractor_la-extractor_metatypes.lo `test -f 'extractor_metatypes.c' || echo '$(srcdir)/'`extractor_metatypes.c
 1140 
 1141 libextractor_la-extractor_plugpath.lo: extractor_plugpath.c
 1142 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libextractor_la-extractor_plugpath.lo -MD -MP -MF $(DEPDIR)/libextractor_la-extractor_plugpath.Tpo -c -o libextractor_la-extractor_plugpath.lo `test -f 'extractor_plugpath.c' || echo '$(srcdir)/'`extractor_plugpath.c
 1143 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libextractor_la-extractor_plugpath.Tpo $(DEPDIR)/libextractor_la-extractor_plugpath.Plo
 1144 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='extractor_plugpath.c' object='libextractor_la-extractor_plugpath.lo' libtool=yes @AMDEPBACKSLASH@
 1145 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 1146 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libextractor_la-extractor_plugpath.lo `test -f 'extractor_plugpath.c' || echo '$(srcdir)/'`extractor_plugpath.c
 1147 
 1148 libextractor_la-extractor_plugins.lo: extractor_plugins.c
 1149 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libextractor_la-extractor_plugins.lo -MD -MP -MF $(DEPDIR)/libextractor_la-extractor_plugins.Tpo -c -o libextractor_la-extractor_plugins.lo `test -f 'extractor_plugins.c' || echo '$(srcdir)/'`extractor_plugins.c
 1150 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libextractor_la-extractor_plugins.Tpo $(DEPDIR)/libextractor_la-extractor_plugins.Plo
 1151 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='extractor_plugins.c' object='libextractor_la-extractor_plugins.lo' libtool=yes @AMDEPBACKSLASH@
 1152 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 1153 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libextractor_la-extractor_plugins.lo `test -f 'extractor_plugins.c' || echo '$(srcdir)/'`extractor_plugins.c
 1154 
 1155 libextractor_la-extractor_print.lo: extractor_print.c
 1156 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libextractor_la-extractor_print.lo -MD -MP -MF $(DEPDIR)/libextractor_la-extractor_print.Tpo -c -o libextractor_la-extractor_print.lo `test -f 'extractor_print.c' || echo '$(srcdir)/'`extractor_print.c
 1157 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libextractor_la-extractor_print.Tpo $(DEPDIR)/libextractor_la-extractor_print.Plo
 1158 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='extractor_print.c' object='libextractor_la-extractor_print.lo' libtool=yes @AMDEPBACKSLASH@
 1159 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 1160 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libextractor_la-extractor_print.lo `test -f 'extractor_print.c' || echo '$(srcdir)/'`extractor_print.c
 1161 
 1162 libextractor_la-extractor_plugin_main.lo: extractor_plugin_main.c
 1163 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libextractor_la-extractor_plugin_main.lo -MD -MP -MF $(DEPDIR)/libextractor_la-extractor_plugin_main.Tpo -c -o libextractor_la-extractor_plugin_main.lo `test -f 'extractor_plugin_main.c' || echo '$(srcdir)/'`extractor_plugin_main.c
 1164 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libextractor_la-extractor_plugin_main.Tpo $(DEPDIR)/libextractor_la-extractor_plugin_main.Plo
 1165 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='extractor_plugin_main.c' object='libextractor_la-extractor_plugin_main.lo' libtool=yes @AMDEPBACKSLASH@
 1166 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 1167 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libextractor_la-extractor_plugin_main.lo `test -f 'extractor_plugin_main.c' || echo '$(srcdir)/'`extractor_plugin_main.c
 1168 
 1169 libextractor_la-extractor.lo: extractor.c
 1170 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libextractor_la-extractor.lo -MD -MP -MF $(DEPDIR)/libextractor_la-extractor.Tpo -c -o libextractor_la-extractor.lo `test -f 'extractor.c' || echo '$(srcdir)/'`extractor.c
 1171 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libextractor_la-extractor.Tpo $(DEPDIR)/libextractor_la-extractor.Plo
 1172 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='extractor.c' object='libextractor_la-extractor.lo' libtool=yes @AMDEPBACKSLASH@
 1173 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 1174 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libextractor_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libextractor_la-extractor.lo `test -f 'extractor.c' || echo '$(srcdir)/'`extractor.c
 1175 
 1176 mostlyclean-libtool:
 1177 	-rm -f *.lo
 1178 
 1179 clean-libtool:
 1180 	-rm -rf .libs _libs
 1181 
 1182 # This directory's subdirectories are mostly independent; you can cd
 1183 # into them and run 'make' without going through this Makefile.
 1184 # To change the values of 'make' variables: instead of editing Makefiles,
 1185 # (1) if the variable is set in 'config.status', edit 'config.status'
 1186 #     (which will cause the Makefiles to be regenerated when you run 'make');
 1187 # (2) otherwise, pass the desired values on the 'make' command line.
 1188 $(am__recursive_targets):
 1189 	@fail=; \
 1190 	if $(am__make_keepgoing); then \
 1191 	  failcom='fail=yes'; \
 1192 	else \
 1193 	  failcom='exit 1'; \
 1194 	fi; \
 1195 	dot_seen=no; \
 1196 	target=`echo $@ | sed s/-recursive//`; \
 1197 	case "$@" in \
 1198 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
 1199 	  *) list='$(SUBDIRS)' ;; \
 1200 	esac; \
 1201 	for subdir in $$list; do \
 1202 	  echo "Making $$target in $$subdir"; \
 1203 	  if test "$$subdir" = "."; then \
 1204 	    dot_seen=yes; \
 1205 	    local_target="$$target-am"; \
 1206 	  else \
 1207 	    local_target="$$target"; \
 1208 	  fi; \
 1209 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
 1210 	  || eval $$failcom; \
 1211 	done; \
 1212 	if test "$$dot_seen" = "no"; then \
 1213 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
 1214 	fi; test -z "$$fail"
 1215 
 1216 ID: $(am__tagged_files)
 1217 	$(am__define_uniq_tagged_files); mkid -fID $$unique
 1218 tags: tags-recursive
 1219 TAGS: tags
 1220 
 1221 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
 1222 	set x; \
 1223 	here=`pwd`; \
 1224 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
 1225 	  include_option=--etags-include; \
 1226 	  empty_fix=.; \
 1227 	else \
 1228 	  include_option=--include; \
 1229 	  empty_fix=; \
 1230 	fi; \
 1231 	list='$(SUBDIRS)'; for subdir in $$list; do \
 1232 	  if test "$$subdir" = .; then :; else \
 1233 	    test ! -f $$subdir/TAGS || \
 1234 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
 1235 	  fi; \
 1236 	done; \
 1237 	$(am__define_uniq_tagged_files); \
 1238 	shift; \
 1239 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
 1240 	  test -n "$$unique" || unique=$$empty_fix; \
 1241 	  if test $$# -gt 0; then \
 1242 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
 1243 	      "$$@" $$unique; \
 1244 	  else \
 1245 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
 1246 	      $$unique; \
 1247 	  fi; \
 1248 	fi
 1249 ctags: ctags-recursive
 1250 
 1251 CTAGS: ctags
 1252 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
 1253 	$(am__define_uniq_tagged_files); \
 1254 	test -z "$(CTAGS_ARGS)$$unique" \
 1255 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
 1256 	     $$unique
 1257 
 1258 GTAGS:
 1259 	here=`$(am__cd) $(top_builddir) && pwd` \
 1260 	  && $(am__cd) $(top_srcdir) \
 1261 	  && gtags -i $(GTAGS_ARGS) "$$here"
 1262 cscopelist: cscopelist-recursive
 1263 
 1264 cscopelist-am: $(am__tagged_files)
 1265 	list='$(am__tagged_files)'; \
 1266 	case "$(srcdir)" in \
 1267 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
 1268 	  *) sdir=$(subdir)/$(srcdir) ;; \
 1269 	esac; \
 1270 	for i in $$list; do \
 1271 	  if test -f "$$i"; then \
 1272 	    echo "$(subdir)/$$i"; \
 1273 	  else \
 1274 	    echo "$$sdir/$$i"; \
 1275 	  fi; \
 1276 	done >> $(top_builddir)/cscope.files
 1277 
 1278 distclean-tags:
 1279 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
 1280 
 1281 # Recover from deleted '.trs' file; this should ensure that
 1282 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
 1283 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
 1284 # to avoid problems with "make -n".
 1285 .log.trs:
 1286 	rm -f $< $@
 1287 	$(MAKE) $(AM_MAKEFLAGS) $<
 1288 
 1289 # Leading 'am--fnord' is there to ensure the list of targets does not
 1290 # expand to empty, as could happen e.g. with make check TESTS=''.
 1291 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
 1292 am--force-recheck:
 1293 	@:
 1294 
 1295 $(TEST_SUITE_LOG): $(TEST_LOGS)
 1296 	@$(am__set_TESTS_bases); \
 1297 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
 1298 	redo_bases=`for i in $$bases; do \
 1299 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
 1300 	            done`; \
 1301 	if test -n "$$redo_bases"; then \
 1302 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
 1303 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
 1304 	  if $(am__make_dryrun); then :; else \
 1305 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
 1306 	  fi; \
 1307 	fi; \
 1308 	if test -n "$$am__remaking_logs"; then \
 1309 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
 1310 	       "recursion detected" >&2; \
 1311 	elif test -n "$$redo_logs"; then \
 1312 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
 1313 	fi; \
 1314 	if $(am__make_dryrun); then :; else \
 1315 	  st=0;  \
 1316 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
 1317 	  for i in $$redo_bases; do \
 1318 	    test -f $$i.trs && test -r $$i.trs \
 1319 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
 1320 	    test -f $$i.log && test -r $$i.log \
 1321 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
 1322 	  done; \
 1323 	  test $$st -eq 0 || exit 1; \
 1324 	fi
 1325 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
 1326 	ws='[ 	]'; \
 1327 	results=`for b in $$bases; do echo $$b.trs; done`; \
 1328 	test -n "$$results" || results=/dev/null; \
 1329 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
 1330 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
 1331 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
 1332 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
 1333 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
 1334 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
 1335 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
 1336 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
 1337 	  success=true; \
 1338 	else \
 1339 	  success=false; \
 1340 	fi; \
 1341 	br='==================='; br=$$br$$br$$br$$br; \
 1342 	result_count () \
 1343 	{ \
 1344 	    if test x"$$1" = x"--maybe-color"; then \
 1345 	      maybe_colorize=yes; \
 1346 	    elif test x"$$1" = x"--no-color"; then \
 1347 	      maybe_colorize=no; \
 1348 	    else \
 1349 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
 1350 	    fi; \
 1351 	    shift; \
 1352 	    desc=$$1 count=$$2; \
 1353 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
 1354 	      color_start=$$3 color_end=$$std; \
 1355 	    else \
 1356 	      color_start= color_end=; \
 1357 	    fi; \
 1358 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
 1359 	}; \
 1360 	create_testsuite_report () \
 1361 	{ \
 1362 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
 1363 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
 1364 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
 1365 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
 1366 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
 1367 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
 1368 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
 1369 	}; \
 1370 	{								\
 1371 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
 1372 	    $(am__rst_title);						\
 1373 	  create_testsuite_report --no-color;				\
 1374 	  echo;								\
 1375 	  echo ".. contents:: :depth: 2";				\
 1376 	  echo;								\
 1377 	  for b in $$bases; do echo $$b; done				\
 1378 	    | $(am__create_global_log);					\
 1379 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
 1380 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
 1381 	if $$success; then						\
 1382 	  col="$$grn";							\
 1383 	 else								\
 1384 	  col="$$red";							\
 1385 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
 1386 	fi;								\
 1387 	echo "$${col}$$br$${std}"; 					\
 1388 	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
 1389 	echo "$${col}$$br$${std}"; 					\
 1390 	create_testsuite_report --maybe-color;				\
 1391 	echo "$$col$$br$$std";						\
 1392 	if $$success; then :; else					\
 1393 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
 1394 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
 1395 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
 1396 	  fi;								\
 1397 	  echo "$$col$$br$$std";					\
 1398 	fi;								\
 1399 	$$success || exit 1
 1400 
 1401 check-TESTS: $(check_PROGRAMS)
 1402 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
 1403 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
 1404 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
 1405 	@set +e; $(am__set_TESTS_bases); \
 1406 	log_list=`for i in $$bases; do echo $$i.log; done`; \
 1407 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
 1408 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
 1409 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
 1410 	exit $$?;
 1411 recheck: all $(check_PROGRAMS)
 1412 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
 1413 	@set +e; $(am__set_TESTS_bases); \
 1414 	bases=`for i in $$bases; do echo $$i; done \
 1415 	         | $(am__list_recheck_tests)` || exit 1; \
 1416 	log_list=`for i in $$bases; do echo $$i.log; done`; \
 1417 	log_list=`echo $$log_list`; \
 1418 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
 1419 	        am__force_recheck=am--force-recheck \
 1420 	        TEST_LOGS="$$log_list"; \
 1421 	exit $$?
 1422 test_trivial.log: test_trivial$(EXEEXT)
 1423 	@p='test_trivial$(EXEEXT)'; \
 1424 	b='test_trivial'; \
 1425 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1426 	--log-file $$b.log --trs-file $$b.trs \
 1427 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1428 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1429 test_plugin_loading.log: test_plugin_loading$(EXEEXT)
 1430 	@p='test_plugin_loading$(EXEEXT)'; \
 1431 	b='test_plugin_loading'; \
 1432 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1433 	--log-file $$b.log --trs-file $$b.trs \
 1434 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1435 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1436 test_plugin_load_multi.log: test_plugin_load_multi$(EXEEXT)
 1437 	@p='test_plugin_load_multi$(EXEEXT)'; \
 1438 	b='test_plugin_load_multi'; \
 1439 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1440 	--log-file $$b.log --trs-file $$b.trs \
 1441 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1442 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1443 test_ipc.log: test_ipc$(EXEEXT)
 1444 	@p='test_ipc$(EXEEXT)'; \
 1445 	b='test_ipc'; \
 1446 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1447 	--log-file $$b.log --trs-file $$b.trs \
 1448 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1449 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1450 test_file.log: test_file$(EXEEXT)
 1451 	@p='test_file$(EXEEXT)'; \
 1452 	b='test_file'; \
 1453 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1454 	--log-file $$b.log --trs-file $$b.trs \
 1455 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1456 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1457 test_gzip.log: test_gzip$(EXEEXT)
 1458 	@p='test_gzip$(EXEEXT)'; \
 1459 	b='test_gzip'; \
 1460 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1461 	--log-file $$b.log --trs-file $$b.trs \
 1462 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1463 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1464 test_bzip2.log: test_bzip2$(EXEEXT)
 1465 	@p='test_bzip2$(EXEEXT)'; \
 1466 	b='test_bzip2'; \
 1467 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1468 	--log-file $$b.log --trs-file $$b.trs \
 1469 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1470 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1471 .test.log:
 1472 	@p='$<'; \
 1473 	$(am__set_b); \
 1474 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
 1475 	--log-file $$b.log --trs-file $$b.trs \
 1476 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
 1477 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1478 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
 1479 @am__EXEEXT_TRUE@	@p='$<'; \
 1480 @am__EXEEXT_TRUE@	$(am__set_b); \
 1481 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
 1482 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
 1483 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
 1484 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1485 
 1486 distdir: $(BUILT_SOURCES)
 1487 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
 1488 
 1489 distdir-am: $(DISTFILES)
 1490 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 1491 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 1492 	list='$(DISTFILES)'; \
 1493 	  dist_files=`for file in $$list; do echo $$file; done | \
 1494 	  sed -e "s|^$$srcdirstrip/||;t" \
 1495 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
 1496 	case $$dist_files in \
 1497 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
 1498 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
 1499 			   sort -u` ;; \
 1500 	esac; \
 1501 	for file in $$dist_files; do \
 1502 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
 1503 	  if test -d $$d/$$file; then \
 1504 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 1505 	    if test -d "$(distdir)/$$file"; then \
 1506 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 1507 	    fi; \
 1508 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
 1509 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
 1510 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 1511 	    fi; \
 1512 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
 1513 	  else \
 1514 	    test -f "$(distdir)/$$file" \
 1515 	    || cp -p $$d/$$file "$(distdir)/$$file" \
 1516 	    || exit 1; \
 1517 	  fi; \
 1518 	done
 1519 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
 1520 	  if test "$$subdir" = .; then :; else \
 1521 	    $(am__make_dryrun) \
 1522 	      || test -d "$(distdir)/$$subdir" \
 1523 	      || $(MKDIR_P) "$(distdir)/$$subdir" \
 1524 	      || exit 1; \
 1525 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
 1526 	    $(am__relativize); \
 1527 	    new_distdir=$$reldir; \
 1528 	    dir1=$$subdir; dir2="$(top_distdir)"; \
 1529 	    $(am__relativize); \
 1530 	    new_top_distdir=$$reldir; \
 1531 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
 1532 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
 1533 	    ($(am__cd) $$subdir && \
 1534 	      $(MAKE) $(AM_MAKEFLAGS) \
 1535 	        top_distdir="$$new_top_distdir" \
 1536 	        distdir="$$new_distdir" \
 1537 		am__remove_distdir=: \
 1538 		am__skip_length_check=: \
 1539 		am__skip_mode_fix=: \
 1540 	        distdir) \
 1541 	      || exit 1; \
 1542 	  fi; \
 1543 	done
 1544 check-am: all-am
 1545 	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
 1546 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
 1547 check: check-recursive
 1548 all-am: Makefile $(PROGRAMS) $(LTLIBRARIES)
 1549 install-binPROGRAMS: install-libLTLIBRARIES
 1550 
 1551 installdirs: installdirs-recursive
 1552 installdirs-am:
 1553 	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libdir)"; do \
 1554 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 1555 	done
 1556 install: install-recursive
 1557 install-exec: install-exec-recursive
 1558 install-data: install-data-recursive
 1559 uninstall: uninstall-recursive
 1560 
 1561 install-am: all-am
 1562 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 1563 
 1564 installcheck: installcheck-recursive
 1565 install-strip:
 1566 	if test -z '$(STRIP)'; then \
 1567 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1568 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1569 	      install; \
 1570 	else \
 1571 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1572 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1573 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
 1574 	fi
 1575 mostlyclean-generic:
 1576 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
 1577 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
 1578 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
 1579 
 1580 clean-generic:
 1581 
 1582 distclean-generic:
 1583 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 1584 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
 1585 
 1586 maintainer-clean-generic:
 1587 	@echo "This command is intended for maintainers to use"
 1588 	@echo "it deletes files that may require special tools to rebuild."
 1589 clean: clean-recursive
 1590 
 1591 clean-am: clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
 1592 	clean-libLTLIBRARIES clean-libtool clean-noinstLTLIBRARIES \
 1593 	mostlyclean-am
 1594 
 1595 distclean: distclean-recursive
 1596 		-rm -f ./$(DEPDIR)/extract.Po
 1597 	-rm -f ./$(DEPDIR)/getopt.Po
 1598 	-rm -f ./$(DEPDIR)/getopt1.Po
 1599 	-rm -f ./$(DEPDIR)/libextractor_la-extractor.Plo
 1600 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_common.Plo
 1601 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_datasource.Plo
 1602 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_ipc.Plo
 1603 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_ipc_gnu.Plo
 1604 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_ipc_w32.Plo
 1605 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_logging.Plo
 1606 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_metatypes.Plo
 1607 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_plugin_main.Plo
 1608 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_plugins.Plo
 1609 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_plugpath.Plo
 1610 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_print.Plo
 1611 	-rm -f ./$(DEPDIR)/test2_extractor.Plo
 1612 	-rm -f ./$(DEPDIR)/test_bzip2.Po
 1613 	-rm -f ./$(DEPDIR)/test_extractor.Plo
 1614 	-rm -f ./$(DEPDIR)/test_file.Po
 1615 	-rm -f ./$(DEPDIR)/test_gzip.Po
 1616 	-rm -f ./$(DEPDIR)/test_ipc.Po
 1617 	-rm -f ./$(DEPDIR)/test_plugin_load_multi.Po
 1618 	-rm -f ./$(DEPDIR)/test_plugin_loading.Po
 1619 	-rm -f ./$(DEPDIR)/test_trivial.Po
 1620 	-rm -f Makefile
 1621 distclean-am: clean-am distclean-compile distclean-generic \
 1622 	distclean-tags
 1623 
 1624 dvi: dvi-recursive
 1625 
 1626 dvi-am:
 1627 
 1628 html: html-recursive
 1629 
 1630 html-am:
 1631 
 1632 info: info-recursive
 1633 
 1634 info-am:
 1635 
 1636 install-data-am:
 1637 
 1638 install-dvi: install-dvi-recursive
 1639 
 1640 install-dvi-am:
 1641 
 1642 install-exec-am: install-binPROGRAMS install-libLTLIBRARIES
 1643 
 1644 install-html: install-html-recursive
 1645 
 1646 install-html-am:
 1647 
 1648 install-info: install-info-recursive
 1649 
 1650 install-info-am:
 1651 
 1652 install-man:
 1653 
 1654 install-pdf: install-pdf-recursive
 1655 
 1656 install-pdf-am:
 1657 
 1658 install-ps: install-ps-recursive
 1659 
 1660 install-ps-am:
 1661 
 1662 installcheck-am:
 1663 
 1664 maintainer-clean: maintainer-clean-recursive
 1665 		-rm -f ./$(DEPDIR)/extract.Po
 1666 	-rm -f ./$(DEPDIR)/getopt.Po
 1667 	-rm -f ./$(DEPDIR)/getopt1.Po
 1668 	-rm -f ./$(DEPDIR)/libextractor_la-extractor.Plo
 1669 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_common.Plo
 1670 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_datasource.Plo
 1671 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_ipc.Plo
 1672 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_ipc_gnu.Plo
 1673 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_ipc_w32.Plo
 1674 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_logging.Plo
 1675 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_metatypes.Plo
 1676 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_plugin_main.Plo
 1677 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_plugins.Plo
 1678 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_plugpath.Plo
 1679 	-rm -f ./$(DEPDIR)/libextractor_la-extractor_print.Plo
 1680 	-rm -f ./$(DEPDIR)/test2_extractor.Plo
 1681 	-rm -f ./$(DEPDIR)/test_bzip2.Po
 1682 	-rm -f ./$(DEPDIR)/test_extractor.Plo
 1683 	-rm -f ./$(DEPDIR)/test_file.Po
 1684 	-rm -f ./$(DEPDIR)/test_gzip.Po
 1685 	-rm -f ./$(DEPDIR)/test_ipc.Po
 1686 	-rm -f ./$(DEPDIR)/test_plugin_load_multi.Po
 1687 	-rm -f ./$(DEPDIR)/test_plugin_loading.Po
 1688 	-rm -f ./$(DEPDIR)/test_trivial.Po
 1689 	-rm -f Makefile
 1690 maintainer-clean-am: distclean-am maintainer-clean-generic
 1691 
 1692 mostlyclean: mostlyclean-recursive
 1693 
 1694 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
 1695 	mostlyclean-libtool
 1696 
 1697 pdf: pdf-recursive
 1698 
 1699 pdf-am:
 1700 
 1701 ps: ps-recursive
 1702 
 1703 ps-am:
 1704 
 1705 uninstall-am: uninstall-binPROGRAMS uninstall-libLTLIBRARIES
 1706 
 1707 .MAKE: $(am__recursive_targets) check-am install-am install-strip
 1708 
 1709 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
 1710 	am--depfiles check check-TESTS check-am clean \
 1711 	clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
 1712 	clean-libLTLIBRARIES clean-libtool clean-noinstLTLIBRARIES \
 1713 	cscopelist-am ctags ctags-am distclean distclean-compile \
 1714 	distclean-generic distclean-libtool distclean-tags distdir dvi \
 1715 	dvi-am html html-am info info-am install install-am \
 1716 	install-binPROGRAMS install-data install-data-am install-dvi \
 1717 	install-dvi-am install-exec install-exec-am install-html \
 1718 	install-html-am install-info install-info-am \
 1719 	install-libLTLIBRARIES install-man install-pdf install-pdf-am \
 1720 	install-ps install-ps-am install-strip installcheck \
 1721 	installcheck-am installdirs installdirs-am maintainer-clean \
 1722 	maintainer-clean-generic mostlyclean mostlyclean-compile \
 1723 	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
 1724 	recheck tags tags-am uninstall uninstall-am \
 1725 	uninstall-binPROGRAMS uninstall-libLTLIBRARIES
 1726 
 1727 .PRECIOUS: Makefile
 1728 
 1729 
 1730 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 1731 # Otherwise a system limit (for SysV at least) may be exceeded.
 1732 .NOEXPORT: